---
updatedAt: 2026-06-16T18:46:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Updates a personal device profile by name

You cannot reassign the site since it is maintained by Jamf Pro.

Privileges required to interact with this endpoint: `Update - Personal Device Profiles`

```xml Sample Request Body
<byoprofile>
	<general>
		<name>Personal Device Profile</name>
		<site>
			<id>-1</id>
			<name>None</name>
		</site>
		<enabled>true</enabled>
		<description>Used for Android or iOS BYO device enrollments</description>
	</general>
</byoprofile>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.32.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "paths": {
    "/byoprofiles/name/{name}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "byoprofiles"
        ],
        "summary": "Updates a personal device profile by name",
        "description": "You cannot reassign the site since it is maintained by Jamf Pro.",
        "operationId": "updateBYOProfilesByName",
        "parameters": [
          {
            "name": "name",
            "in": "path",
            "required": true,
            "description": "Name value to filter by",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```